%define name	xchat-ruby
%define version	1.1
%define release	%mkrel 8

# usually ruby binary compatibility only breaks between minor releases?
%define min_ruby_version	1.8
%define max_ruby_version	1.9

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XChat Ruby plugin
Group:		Networking/IRC
License:	GPL
URL:		http://xchat-ruby.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Source:		%{name}-src-%{version}.tar.bz2
Patch0:		%{name}-global-install.patch.bz2
BuildRequires:	ruby-devel >= %{min_ruby_version}
BuildConflicts:	ruby-devel >= %{max_ruby_version}
Requires:	ruby >= %{min_ruby_version}
Conflicts:	ruby >= %{max_ruby_version}
Requires:	xchat

%description
Provides Ruby scripting capability to XChat.

%prep
%setup -q -n %{name}-src-%{version}
%patch0

%build
cd src
%make CFLAGS='-fPIC -Wall %optflags'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
install -m 755 src/xchat-ruby.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/ruby.so
ruby -e 'puts $LOAD_PATH.join("\n")' > $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/rubyenv

%clean
rm -fr $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc README COPYING samples ChangeLog
%{_libdir}/xchat/plugins/ruby.so
%{_libdir}/xchat/plugins/rubyenv


%changelog
* Sat Mar 10 2007 Pascal Terjan <pterjan@mandriva.org> 1.1-8mdv2007.1
+ Revision: 140559
- rebuild
- Import xchat-ruby



* Sun May 21 2006 Pascal Terjan <pterjan@mandriva.org> 1.1-7mdk
- mkrel

* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 1.1-6mdk
- Misc spec fixes
- Relax ruby requirement

* Fri Aug 13 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-5mdk
- rebuild

* Wed Jan 07 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-4mdk
- ruby 1.8.1

* Tue Nov 25 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1-3mdk
- amd64 fix

* Fri Nov 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1-2mdk
- Link dynamically to ruby

* Sat Sep 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1-1mdk
- First Package
